try {
	currentDocument = app.activeDocument;
	function Create360VideoFromSelection() {
		convertToSmartObjectID = app.stringIDToTypeID('newPlacedLayer');
		stop = false;
		
		try {
			currentDocument.crop(currentDocument.selection.bounds);
			currentDocument.selection.deselect();
		} catch (error){
			alert("Please select the donut you wish to UnWrap with the Elliptical Marquee Tool, then try again.");
			stop = true;
		}
		if (!stop){
			app.executeAction(convertToSmartObjectID);
			app.executeAction(convertToSmartObjectID);
			currentDocument.activeLayer.applyPolarCoordinates(PolarConversionType.POLARTORECTANGULAR);
			currentDocument.resizeImage(UnitValue("256.4 %"), UnitValue("100 %"));
			app.executeAction(convertToSmartObjectID);
			currentDocument.flipCanvas(Direction.VERTICAL);
			alert('Please crop the image to the desired height.  For a seamless panorama, be sure to include the whole width.\n\nWhen you are finished, select "Render video. . ." from File > Export.');
		}
	}

	Create360VideoFromSelection();
} catch (error){
	alert("Open an image sequence or video file to begin.");
}